##
## EPITECH PROJECT, 2019
## OOP Arcade
## File description:
## Makefile for arcade core
##

SRC_DIR		=		$(realpath .)

SRC			=		$(SRC_DIR)/main.cpp	\
					$(SRC_DIR)/Core.cpp

OBJ			= 		$(SRC:.cpp=.o)

CXXFLAGS	=		-Wall -Wextra -std=c++14 -I../Graphical -I../Game -I.

LDFLAGS		=		-ldl

NAME		=		../arcade

all:			$(NAME)

debug:			CXXFLAGS += -g
debug:			LDFLAGS  += -g
debug:			all

$(NAME):		$(OBJ)
				g++ -o $(NAME) $(OBJ) $(LDFLAGS)

clean:
				rm -f $(OBJ)

fclean:			clean
				rm -f $(NAME)

re:				fclean all

.PHONY: 		all clean fclean re